# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2

DESCRIPTION="A PAM module that can mount volumes for a user session e.g. encrypted home directories"
HOMEPAGE="http://www.flyn.org/projects/pam_mount/index.html"
SRC_URI="http://www.flyn.org/projects/pam_mount/${P}.tar.gz"

DEPEND=">=sys-libs/pam-0.72 
	>=openssl-0.9.7c-r2"
IUSE=""

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~sparc ~alpha ~amd64"

src_compile() {
	#patch makefile to allow compilation
	#cd $S
	#sed -e 's/pmvarrun_LDFLAGS = $(GLIB_LIBS)/pmvarrun_LDFLAGS = $(GLIB_LIBS) -lz/g' src/Makefile.in > src/Makefile.in.new
	#mv src/Makefile.in.new src/Makefile.in
	econf || die "econf failed"
	emake || die "make failed"
}

src_install() {
	make install DESTDIR=${D} || die "make install failed"
	insinto /etc/security
	insopts -m0644
	doins ${FILESDIR}/pam_mount.conf
	insinto /etc/pam.d
	doins ${FILESDIR}/login ${FILESDIR}/kde
	dodir /sbin
	dosym /usr/bin/mount.crypt /sbin/mount.crypt
	dodoc README TODO AUTHORS ChangeLog FAQ INSTALL NEWS
}
